Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Carlos O'Donell <[email-masked]>
Date: Thu, 26 Nov 2020 23:55:45 -0500

On 11/26/20 1:25 PM, Jean Louis wrote:
> My mtrace files do not have the PID from Emacs. It got lost maybe
> because I killed Emacs. There are many other PID files. Or maybe
> initial PID file was based by the script that run it.
> 
> Should I provide mtrace files which do not have emacs PID?
 
Each PID is from a spawned subprocess.

I've just pushed new code to the tracer to allow you to do:
MTRACE_CTL_CHILDREN=0 to avoid tracing the spawned child
processes.

We would only want the mtrace file for the emacs PID (all
contained threads store to that file).

-- 
Cheers,
Carlos.